///////////////////////////////////////////////////////////////////////////////
// ViewFormGL.h
// ============
// View component of OpenGL dialog window
//
//  AUTHORL Song Ho Ahn (song.ahn@gmail.com)
// CREATED: 2006-07-10
// UPDATED: 2006-08-15
//
//	EXTENSION:
//	AUTHOR: Lukas Chripko (luxas98@gmail.com)
//  UPDATED: 2011-05-23
///////////////////////////////////////////////////////////////////////////////

#ifndef VIEW_FORM_GL_H
#define VIEW_FORM_GL_H

#include <windows.h>
#include "Controls.h"
using namespace System;
namespace Win
{
    class ViewFormGL
    {
    public:
        ViewFormGL();
        ~ViewFormGL();

        void initControls(HWND handle);         // init all controls

        // update controls on the form
        void updateTrackbars(HWND handle, int position);
		void resetRecordList();
		void addRecordList(System::String^ s);

    protected:

    private:
        // controls
		Win::ListBox recordList;
        Win::Trackbar trackbarRed;
        Win::Trackbar trackbarGreen;
        Win::Trackbar trackbarBlue;
		Win::Trackbar trackbarBlend;
		Win::Trackbar trackbarThreshold;
    };
}

#endif
